<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

class Configuration implements ConfigurationInterface
{
    public function getConfigTreeBuilder(): TreeBuilder
    {
        $treeBuilder = new TreeBuilder('components');

        $treeBuilder->getRootNode()
            ->children()
                ->arrayNode('components')
                    ->arrayPrototype()
                        ->children()
                            ->integerNode('version')->end()
                            ->arrayNode('entrypoint')
                                ->prototype('scalar')
                                ->end()
                            ->end()
                        ->end()
                    ->end()
                ->end()
            ->end()
        ;

        return $treeBuilder;
    }
}
